//
// Created by jovian on 18/08/17.
//

#ifndef SPACEEXPANSION_PLANETDEF_H
#define SPACEEXPANSION_PLANETDEF_H

#include <string>
#include "../Maths/b2_math.h"
#include "Stock.h"

enum PlanetState {
    EMPTY, INHABITED, MINOR, RESEARCH, FARMER, INDUSTRIAL
};

struct PlanetDef {
    PlanetDef() : stock(), level(0), nuclearPlants(0),
                  militaryPower(0), state(EMPTY), pos(), name("---"), size(1.0f) {};

    Stock stock;
    int level;
    int nuclearPlants;
    int militaryPower;
    PlanetState state;
    b2Vec2 pos;
    std::string name;
    float size;
};

#endif //SPACEEXPANSION_PLANETDEF_H
