//
// Created by jovian on 18/08/17.
//

#include "PlanetStep.h"

PlanetStep::PlanetStep(int delay) : m_delay(delay), m_elapsed(0) {}

void PlanetStep::callApply(PlanetDef &def) {
    // Time is running out
    m_elapsed++;

    // Check if it is necessary
    if (m_elapsed > m_delay) {
        apply(def);
        m_elapsed = 0;
    }
}
