// Includes
#include <iostream>
#include "GameCore.h"

using namespace std;

int main() {
    // Start
    cout << "SpaceExpansion starts." << endl;

    // Random start
    srand((unsigned int) time(0));

    // Initialisation
    GameCore spaceManager;

    if (!spaceManager.initialize()){
        cout << "SpaceExpansion has encountered a problem." << endl;
        cout << "Ask Jovian to debug his program ..." << endl;
        return 1;
    }

    // QuickGame
    spaceManager.startQuickGame();

    // End
    return 0;
}